Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517366 - s-c-p gets bad ppd for Canon ImageRunner Advance C5030/5035
Summary: s-c-p gets bad ppd for Canon ImageRunner Advance C5030/5035
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-24 16:38 UTC by Igor Gnatenko
Modified: 2017-11-28 16:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-28 16:11:50 UTC


Attachments (Terms of Use)
log (deleted)
2017-11-24 16:38 UTC, Igor Gnatenko
no flags Details

Description Igor Gnatenko 2017-11-24 16:38:58 UTC
Created attachment 1358699 [details]
log

cups-2.2.6-1.fc28.x86_64

Log attached. At some point (back in F26 it used to work). Not sure what other logs to attach.

Printing self-test page works though.

Comment 3 Zdenek Dohnal 2017-11-27 12:51:55 UTC
My idea is Control Centre calls system-config-printer (s-c-p) by dbus and s-c-p is getting the PPD from a database, where is PPD for the printer, but this PPD contains non-free printer filter - sicgsfilter http://ftp.riken.jp/Linux/cern/centos/7/cern/x86_64/repoview/sicgsfilter.html . But I'm not sure from which database s-c-p is getting PPD.
You can solve it by changing PPD to Canon imageRunner C5058 from Foomatic in Control Centre too.


Note You need to log in before you can comment on or make changes to this bug.